Package org.apache.commons.io.file

# Class Counters

java.lang.Object
org.apache.commons.io.file.Counters

public class Counters extends Object
Provides counters for files, directories, and sizes, as a visit proceeds.

Since:
  2.7

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `Counters.Counter`
  Counts using a number.
  `static interface`
  `Counters.PathCounters`
  Counts files, directories, and sizes, as a visit proceeds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Counters()`
  Deprecated.
  Will be private in 3.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Counters.Counter`
  `bigIntegerCounter()`
  Returns a new BigInteger Counter.
  `static Counters.PathCounters`
  `bigIntegerPathCounters()`
  Returns a new BigInteger PathCounters.
  `static Counters.Counter`
  `longCounter()`
  Returns a new long Counter.
  `static Counters.PathCounters`
  `longPathCounters()`
  Returns a new BigInteger PathCounters.
  `static Counters.Counter`
  `noopCounter()`
  Returns the no-op Counter.
  `static Counters.PathCounters`
  `noopPathCounters()`
  Returns the no-op PathCounters.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Counters

    @Deprecated public Counters()
    Deprecated.
    Will be private in 3.0.
    Construct a new instance.

- ## Method Details

  - ### bigIntegerCounter

    public static Counters.Counter bigIntegerCounter()
    Returns a new BigInteger Counter.
    Returns:
      a new BigInteger Counter.

  - ### bigIntegerPathCounters

    public static Counters.PathCounters bigIntegerPathCounters()
    Returns a new BigInteger PathCounters.
    Returns:
      a new BigInteger PathCounters.

  - ### longCounter

    public static Counters.Counter longCounter()
    Returns a new long Counter.
    Returns:
      a new long Counter.

  - ### longPathCounters

    public static Counters.PathCounters longPathCounters()
    Returns a new BigInteger PathCounters.
    Returns:
      a new BigInteger PathCounters.

  - ### noopCounter

    public static Counters.Counter noopCounter()
    Returns the no-op Counter.
    Returns:
      the no-op Counter.
    Since:
      2.9.0

  - ### noopPathCounters

    public static Counters.PathCounters noopPathCounters()
    Returns the no-op PathCounters.
    Returns:
      the no-op PathCounters.
    Since:
      2.9.0